/*
This is an Ozeki Servo Module example code.
The code moves a maximum of 6 servo motors.
 */
#include <Servo.h>

Servo servo[6]; 
int pos = 0;
int n;

void setup() {
  servo[0].attach(5);
  servo[1].attach(6);
  servo[2].attach(7);
  servo[3].attach(8);
  servo[4].attach(9);
  servo[5].attach(10);
  n = sizeof(servo) / sizeof(servo[0]);
}

void loop() {  
  for( int i=0;i<n;i++){
   inc(i);
  }
  delay(100);
  for( int i=n-1;i>=0;i--){
    dec(i);
  }
}

void inc(int pin){
  for (pos = 15; pos <= 160; pos += 1){
      servo[pin].write(pos);
      delay(15);     
  }  
}

void dec(int pin){
  for (pos = 160; pos >= 15; pos -= 1){
        servo[pin].write(pos);              
        delay(15);
  }
}
